LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian
User Name
Password
Debian This forum is for the discussion of Debian Linux.

Notices

Reply
 
Search this Thread
Old 02-05-2006, 04:21 AM   #1
iNeo
LQ Newbie
 
Registered: Feb 2006
Posts: 13

Rep: Reputation: 0
Replacing apache2-mpm-prefork


I want to replace apache2-mpm-prefork with the faster "apache2-mpm-worker" but cannot seem to do.
Here is what I tried.
Code:
localhost:~/debs# dpkg -i apache2-mpm-worker_2.0.55-4_i386.deb 
dpkg: regarding apache2-mpm-worker_2.0.55-4_i386.deb containing apache2-mpm-worker:
 apache2-mpm-worker conflicts with apache2-mpm-prefork
  apache2-mpm-prefork (version 2.0.54-4) is installed.
dpkg: error processing apache2-mpm-worker_2.0.55-4_i386.deb (--install):
 conflicting packages - not installing apache2-mpm-worker
Errors were encountered while processing:
 apache2-mpm-worker_2.0.55-4_i386.deb

localhost:~/debs# dpkg -r apache2-mpm-prefork
dpkg: dependency problems prevent removal of apache2-mpm-prefork:
 libapache2-mod-php4 depends on apache2-mpm-prefork (>> 2.0.52).
 apache2 depends on apache2-mpm-worker (= 2.0.54-4) | apache2-mpm-prefork (= 2.0.54-4) | apache2-mpm-perchild (= 2.0.54-4); however:
  Package apache2-mpm-worker is not installed.
  Package apache2-mpm-prefork is to be removed.
  Package apache2-mpm-perchild is not installed.
 bugzilla depends on apache | apache-ssl | cern-httpd | boa | wn | aolserver | roxen | thttpd | caudium | apache-perl | apache2-mpm-perchild | apache2-mpm-threadpool | apache2-mpm-prefork | apache2-mpm-worker | bozohttpd | httpd; however:
  Package apache is not installed.
  Package apache-ssl is not installed.
  Package cern-httpd is not installed.
  Package boa is not installed.
  Package wn is not installed.
  Package aolserver is not installed.
  Package roxen is not installed.
  Package thttpd is not installed.
  Package caudium is not installed.
  Package apache-perl is not installed.
  Package apache2-mpm-perchild is not installed.
  Package apache2-mpm-threadpool is not installed.
  Package apache2-mpm-prefork is to be removed.
  Package apache2-mpm-worker is not installed.
  Package bozohttpd is not installed.
  Package httpd is not installed.
  Package apache2-mpm-prefork which provides httpd is to be removed.
 bugzilla depends on apache | apache-ssl | cern-httpd | boa | wn | aolserver | roxen | thttpd | caudium | apache-perl | apache2-mpm-perchild | apache2-mpm-threadpool | apache2-mpm-prefork | apache2-mpm-worker | bozohttpd | httpd; however:
  Package apache is not installed.
  Package apache-ssl is not installed.
  Package cern-httpd is not installed.
  Package boa is not installed.
  Package wn is not installed.
  Package aolserver is not installed.
  Package roxen is not installed.
  Package thttpd is not installed.
  Package caudium is not installed.
  Package apache-perl is not installed.
  Package apache2-mpm-perchild is not installed.
  Package apache2-mpm-threadpool is not installed.
  Package apache2-mpm-prefork is to be removed.
  Package apache2-mpm-worker is not installed.
  Package bozohttpd is not installed.
  Package httpd is not installed.
  Package apache2-mpm-prefork which provides httpd is to be removed.
dpkg: error processing apache2-mpm-prefork (--remove):
 dependency problems - not removing
Errors were encountered while processing:
 apache2-mpm-prefork
localhost:~/debs#
How do I do this?
 
Old 02-06-2006, 02:17 PM   #2
bulliver
Senior Member
 
Registered: Nov 2002
Location: Edmonton AB, Canada
Distribution: Gentoo x86; Gentoo PPC; Gentoo Sparc64; FreeBSD; OS X; Solaris
Posts: 3,731
Blog Entries: 4

Rep: Reputation: 65
Seems to me you just need to uninstall the old one first...
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
apache2 not working: Starting httpd2 (prefork) fails _ktx Linux - Networking 2 03-30-2005 12:15 PM
Apache2 worker works, prefork doesn't AlexH Suse/Novell 1 10-18-2004 11:15 AM
Perchild MPM s1mpl3 Red Hat 0 09-11-2004 01:13 PM
Apache2 & prefork MPM, PHP4 XTJ7 Linux - Software 6 04-29-2004 02:43 PM
apache2 prefork + php4 + mysql rymonree Linux - Software 1 09-06-2003 02:03 PM


All times are GMT -5. The time now is 07:26 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration